# MAT-data: Data Preprocessing for Multiple Aspect Trajectory Data Mining \[MAT-Tools Framework\]
---

\[[Publication](#)\] \[[Bibtex](https://github.com/mat-analysis/mat-tools/blob/main/references/mat-tools.bib)\] \[[GitHub](https://github.com/mat-analysis/mat-data)\] \[[PyPi](https://pypi.org/project/mat-data/)\] \[[Docs](https://mat-analysis.github.io/mat-tools/)\]



The present package offers a tool, to support the user in the task of **data preprocessing** of multiple aspect trajectories, or to **generating synthetic datasets**. It integrates into a unique framework for multiple aspects trajectories and in general for multidimensional sequence data mining methods.

Created on Dec, 2023
Copyright (C) 2023, License GPL Version 3 or superior (see LICENSE file)

### Main Modules

- [proprocess](/proprocess.py): Methods for trajectory preprocessing;
- [generator](/generator.py): Methods for trajectory datasets generation;
- [dataset](/dataset.py): Methods for loading trajectory datasets;
- [converter](/converter.py): Methods for conferting dataset formats.


### Installation

Install directly from PyPi repository, or, download from github. (python >= 3.7 required)

```bash
    pip install mat-data
```

### Getting Started

On how to use this package, see [MAT-data-Tutorial.ipynb](https://github.com/ttportela/mat-data/blob/main/MAT-data-Tutorial.ipynb)

### Citing

If you use `mat-data` please cite the following paper:

 - Portela, T. T.; Machado, V. L.; Renso, C. Unified Approach to Trajectory Data Mining and Multi-Aspect Trajectory Analysis with MAT-Tools Framework. In: SIMPÓSIO BRASILEIRO DE BANCO DE DADOS (SBBD), 39. , 2024, Florianópolis/SC. \[[Bibtex](https://github.com/mat-analysis/mat-tools/blob/main/references/mat-tools.bib)\]

### Collaborate with us

Any contribution is welcome. This is an active project and if you would like to include your code, feel free to fork the project, open an issue and contact us.

Feel free to contribute in any form, such as scientific publications referencing this package, teaching material and workshop videos.

### Related packages

This package is part of _MAT-Tools Framework_ for Multiple Aspect Trajectory Data Mining, check the guide project:

- **[mat-tools](https://github.com/mat-analysis/mat-tools)**: Reference guide for MAT-Tools Framework repositories

### Change Log

This is a package under construction, see [CHANGELOG.md](https://github.com/mat-analysis/mat-data/blob/main/CHANGELOG.md)
